Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 585048 - sys-apps/texinfo-6.1 has weird build system, likely causing unneeded perl-cleaner rebuilds
Summary: sys-apps/texinfo-6.1 has weird build system, likely causing unneeded perl-cle...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard: was: app-admin/perl-cleaner-2.22: nee...
Keywords:
: 585094 (view as bug list)
Depends on:
Blocks: perl-cleaner-rebuild
  Show dependency tree
 
Reported: 2016-06-04 22:38 UTC by Perfect Gentleman
Modified: 2020-07-19 22:28 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Perfect Gentleman 2016-06-04 22:38:22 UTC
emerge --info
Portage 2.3.0_rc1 (python 3.5.1-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.3.0, glibc-2.23-r2, 4.6.1-gentoo x86_64)
=================================================================
System uname: Linux-4.6.1-gentoo-x86_64-Intel-R-_Core-TM-_i7-4770K_CPU_@_3.50GHz-with-gentoo-2.2
KiB Mem:    16088564 total,   8802496 free
KiB Swap:   16777212 total,  16753260 free
sh bash 4.3_p42-r2
ld GNU gold (Gentoo 2.25.1 p1.1 2.25.1) 1.11
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          4.3_p42-r2::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2-r2::gentoo
sys-kernel/linux-headers: 4.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://anongit.gentoo.org/repo/gentoo.git
    priority: 1

kde
    location: /usr/portage/proj/kde
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 3

x11
    location: /usr/portage/proj/x11
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/x11.git
    masters: gentoo
    priority: 3

pg_overlay
    location: /usr/local/overlay
    sync-type: git
    sync-uri: git://github.com/perfect7gentleman/pg_overlay.git
    masters: gentoo
    priority: 5

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=haswell -mmmx -msse -msse2 -msse3 -mssse3 -mcx16 -msahf -mmovbe -maes -mpclmul -mpopcnt -mabm -mfma -mbmi -mbmi2 -mavx -mavx2 -msse4.2 -msse4.1 -mlzcnt -mrdrnd -mf16c -mfsgsbase -mfxsr -mxsave -mxsaveopt --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=haswell -O2 -pipe -fomit-frame-pointer -fno-stack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=haswell -mmmx -msse -msse2 -msse3 -mssse3 -mcx16 -msahf -mmovbe -maes -mpclmul -mpopcnt -mabm -mfma -mbmi -mbmi2 -mavx -mavx2 -msse4.2 -msse4.1 -mlzcnt -mrdrnd -mf16c -mfsgsbase -mfxsr -mxsave -mxsaveopt --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=haswell -O2 -pipe -fomit-frame-pointer -fno-stack-protector"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distcc distcc-pump distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j25 -l9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X acl acpi amd64 bash-completion branding bzip2 cairo cli consolekit cracklib custom-cflags cxx dbus declarative dri dts egl exif fam ffmpeg flac fontconfig gif gmp gzip iconv icu introspection jabber jingle jit jpeg kipi lcms libass libnotify lm_sensors lua lzma lzo matroska minimal mmx mmxext mng modules multilib ncurses nls nptl nsplugin ntpl opengl openmp orc pango pcre pdf png policykit ppds pulseaudio qt5 readline seccomp session smp sox spell sse sse2 ssl svg symlink tcmalloc threads tiff truetype udev udisks udisks2 unicode usb v4l vaapi wavpack webkit webp widgets wxwidgets x264 xattr xcb xcomposite xml xmpp xv xvid zlib" ABI_X86="64" ALSA_CARDS="emu10k1" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="roccat_kovaplus roccat_ryosmk" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US ru ru_RU" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python3_5" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="3.5"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Andreas K. Hüttel gentoo-dev 2016-06-04 23:37:27 UTC
Known and already fixed, will be fine next time! Thanks!
Comment 2 Perfect Gentleman 2016-06-05 00:19:01 UTC
(In reply to Andreas K. Hüttel from comment #1)
> Known and already fixed, will be fine next time! Thanks!

Could you point where it is fixed as still rebuilding texinfo?
Comment 3 Andreas K. Hüttel gentoo-dev 2016-06-05 00:41:08 UTC
My best guess is you had <texinfo-6.1 before, and the rebuild now updated it to newly stable texinfo-6.1. 

All versions before 6.1 had old EAPI, so would not be rebuilt automatically. 

6.1 has EAPI=5 and the correct specs, so it records the perl version and is rebuilt on the next major perl update.
Comment 4 Perfect Gentleman 2016-06-05 04:15:41 UTC
(In reply to Andreas K. Hüttel from comment #3)
> My best guess is you had <texinfo-6.1 before, and the rebuild now updated it
> to newly stable texinfo-6.1. 
> 
> All versions before 6.1 had old EAPI, so would not be rebuilt automatically. 
> 
> 6.1 has EAPI=5 and the correct specs, so it records the perl version and is
> rebuilt on the next major perl update.

i got 6.1

$ qlist -Iv texinfo
sys-apps/texinfo-6.1
Comment 5 Perfect Gentleman 2016-06-05 04:27:56 UTC
~ $ sudo perl-cleaner --all
 * Removing perl-core packages from world file
 *    emerge --deselect  perl-core/File-Temp 
>>> No matching atoms found in "world" favorites file...
 * Updating installed Perl virtuals
 *    emerge -u1  virtual/perl-Compress-Raw-Zlib virtual/perl-CPAN-Meta virtual/perl-CPAN-Meta-YAML virtual/perl-Data-Dumper virtual/perl-Exporter virtual/perl-ExtUtils-CBuilder virtual/perl-ExtUtils-Install virtual/perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-Manifest virtual/perl-ExtUtils-ParseXS virtual/perl-File-Path virtual/perl-File-Spec virtual/perl-File-Temp virtual/perl-Getopt-Long virtual/perl-IO virtual/perl-JSON-PP virtual/perl-MIME-Base64 virtual/perl-Module-Metadata virtual/perl-parent virtual/perl-Parse-CPAN-Meta virtual/perl-Perl-OSType virtual/perl-Scalar-List-Utils virtual/perl-Storable virtual/perl-Test-Harness virtual/perl-Text-ParseWords virtual/perl-Time-Local virtual/perl-version virtual/perl-XSLoader 
Calculating dependencies... done!
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * Beginning a clean up of .ph files
 * Excluding files for 5.24.0 and 5.24.0/x86_64-linux-thread-multi from cleaning

 * Locating ph files for removal

 * Locating packages for an update
 * Locating ebuilds linked against libperl
 *   Adding to list: sys-apps/texinfo:0
 * emerge -v1 --backtrack=200 sys-apps/texinfo:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/texinfo-6.1::gentoo  USE="nls -static" 0 KiB
Comment 6 Perfect Gentleman 2016-06-05 04:29:08 UTC
another machine

$ sudo perl-cleaner --all
Password: 
 * Removing perl-core packages from world file
 *    emerge --deselect  perl-core/File-Temp 
>>> No matching atoms found in "world" favorites file...
 * Updating installed Perl virtuals
 *    emerge -u1  virtual/perl-Compress-Raw-Zlib virtual/perl-CPAN-Meta virtual/perl-CPAN-Meta-YAML virtual/perl-Data-Dumper virtual/perl-Digest virtual/perl-ExtUtils-CBuilder virtual/perl-ExtUtils-Install virtual/perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-Manifest virtual/perl-ExtUtils-ParseXS virtual/perl-File-Path virtual/perl-File-Spec virtual/perl-File-Temp virtual/perl-Getopt-Long virtual/perl-IO virtual/perl-JSON-PP virtual/perl-Memoize virtual/perl-MIME-Base64 virtual/perl-Module-Metadata virtual/perl-Parse-CPAN-Meta virtual/perl-Perl-OSType virtual/perl-Term-ANSIColor virtual/perl-Test-Harness virtual/perl-Text-ParseWords virtual/perl-Time-Local virtual/perl-version virtual/perl-XSLoader 
Calculating dependencies... done!
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * Beginning a clean up of .ph files
 * Excluding files for 5.24.0 and 5.24.0/x86_64-linux-thread-multi from cleaning

 * Locating ph files for removal

 * Locating packages for an update
 * Locating ebuilds linked against libperl
 *   Adding to list: sys-apps/texinfo:0
 *   Adding to list: net-irc/irssi:0
 * emerge -v1 --backtrack=200 sys-apps/texinfo:0 net-irc/irssi:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/texinfo-6.1::gentoo  USE="nls -static" 0 KiB
[ebuild   R    ] net-irc/irssi-0.8.19::gentoo  USE="perl ssl -ipv6 -libressl -proxy (-selinux) -socks5" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB
Comment 7 Andreas K. Hüttel gentoo-dev 2016-06-05 15:41:12 UTC
Do you still have a machine which has not rebuilt yet, but wants to rebuild?

If yes, 
* please check which texinfo version is installed
* and add the contents of /var/db/pkg/sys-apps/texinfo-*/RDEPEND here...
Comment 8 Perfect Gentleman 2016-06-05 15:45:41 UTC
(In reply to Andreas K. Hüttel from comment #7)
> Do you still have a machine which has not rebuilt yet, but wants to rebuild?
> 
> If yes, 
> * please check which texinfo version is installed
> * and add the contents of /var/db/pkg/sys-apps/texinfo-*/RDEPEND here...

----------------------------------------------------------------------------------
 ~ $ sudo perl-cleaner --all -- -avtp

***************************************************************************
You are supplying additional command line options for the package manager.
This is NOT RECOMMENDED, not tested, and may lead to incorrect, incomplete,
confusing, and/or nonfunctional results. You are on your own now.
***************************************************************************


 * Removing perl-core packages from world file
 *    emerge --deselect  -avtp perl-core/File-Temp 
>>> No matching atoms found in "world" favorites file...
 * Updating installed Perl virtuals
 *    emerge -u1  -avtp virtual/perl-Compress-Raw-Zlib virtual/perl-CPAN-Meta virtual/perl-CPAN-Meta-YAML virtual/perl-Data-Dumper virtual/perl-Exporter virtual/perl-ExtUtils-CBuilder virtual/perl-ExtUtils-Install virtual/perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-Manifest virtual/perl-ExtUtils-ParseXS virtual/perl-File-Path virtual/perl-File-Spec virtual/perl-File-Temp virtual/perl-Getopt-Long virtual/perl-IO virtual/perl-JSON-PP virtual/perl-MIME-Base64 virtual/perl-Module-Metadata virtual/perl-parent virtual/perl-Parse-CPAN-Meta virtual/perl-Perl-OSType virtual/perl-Scalar-List-Utils virtual/perl-Storable virtual/perl-Test-Harness virtual/perl-Text-ParseWords virtual/perl-Time-Local virtual/perl-version virtual/perl-XSLoader 

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

 * Beginning a clean up of .ph files
 * Excluding files for 5.24.0 and 5.24.0/x86_64-linux-thread-multi from cleaning

 * Locating ph files for removal

 * Locating packages for an update
 * Locating ebuilds linked against libperl
 *   Adding to list: sys-apps/texinfo:0
 * emerge -v1 --backtrack=200 -avtp sys-apps/texinfo:0

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/texinfo-6.1::gentoo  USE="nls -static" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
 * 
 * It seems like perl-cleaner had to rebuild some packages.
 * 
 * If you have just updated your major Perl version (e.g. from 5.20.2 to 5.22.0),
 * and have run perl-cleaner _after_ that update, then this means most likely
 * that these packages are buggy. Please file a bug on http://bugs.gentoo.org/ and
 * report that perl-cleaner needed to reinstall the following list:
 *    sys-apps/texinfo:0
 * 

 * Finding left over modules and header

 * The following files remain. These were either installed by hand
 * or edited. This script cannot deal with them.
--------------------------------------------------------------------------------
~ $ cat /var/db/pkg/sys-apps/texinfo-6.1/RDEPEND
!=app-text/tetex-2* >=sys-libs/ncurses-5.2-r2:0/6= dev-lang/perl:0/5.24= dev-perl/libintl-perl dev-perl/Unicode-EastAsianWidth dev-perl/Text-Unidecode virtual/libintl
Comment 9 Perfect Gentleman 2016-06-05 15:50:09 UTC
another machine
----------------------------------------------------------------------------------
~ $ sudo perl-cleaner --all -- -avtp
Password: 

***************************************************************************
You are supplying additional command line options for the package manager.
This is NOT RECOMMENDED, not tested, and may lead to incorrect, incomplete,
confusing, and/or nonfunctional results. You are on your own now.
***************************************************************************


 * Removing perl-core packages from world file
 *    emerge --deselect  -avtp perl-core/File-Temp 
>>> No matching atoms found in "world" favorites file...
 * Updating installed Perl virtuals
 *    emerge -u1  -avtp virtual/perl-Compress-Raw-Zlib virtual/perl-CPAN-Meta virtual/perl-CPAN-Meta-YAML virtual/perl-Data-Dumper virtual/perl-Digest virtual/perl-ExtUtils-CBuilder virtual/perl-ExtUtils-Install virtual/perl-ExtUtils-MakeMaker virtual/perl-ExtUtils-Manifest virtual/perl-ExtUtils-ParseXS virtual/perl-File-Path virtual/perl-File-Spec virtual/perl-File-Temp virtual/perl-Getopt-Long virtual/perl-IO virtual/perl-JSON-PP virtual/perl-Memoize virtual/perl-MIME-Base64 virtual/perl-Module-Metadata virtual/perl-Parse-CPAN-Meta virtual/perl-Perl-OSType virtual/perl-Term-ANSIColor virtual/perl-Test-Harness virtual/perl-Text-ParseWords virtual/perl-Time-Local virtual/perl-version virtual/perl-XSLoader 

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

 * Beginning a clean up of .ph files
 * Excluding files for 5.24.0 and 5.24.0/x86_64-linux-thread-multi from cleaning

 * Locating ph files for removal

 * Locating packages for an update
 * Locating ebuilds linked against libperl
 *   Adding to list: sys-apps/texinfo:0
 *   Adding to list: net-irc/irssi:0
 * emerge -v1 --backtrack=200 -avtp sys-apps/texinfo:0 net-irc/irssi:0

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R    ] net-irc/irssi-0.8.19::gentoo  USE="perl ssl -ipv6 -libressl -proxy (-selinux) -socks5" 0 KiB
[ebuild   R    ] sys-apps/texinfo-6.1::gentoo  USE="nls -static" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB
 * 
 * It seems like perl-cleaner had to rebuild some packages.
 * 
 * If you have just updated your major Perl version (e.g. from 5.20.2 to 5.22.0),
 * and have run perl-cleaner _after_ that update, then this means most likely
 * that these packages are buggy. Please file a bug on http://bugs.gentoo.org/ and
 * report that perl-cleaner needed to reinstall the following list:
 *    sys-apps/texinfo:0 net-irc/irssi:0
 * 

 * Finding left over modules and header

 * The following files remain. These were either installed by hand
 * or edited. This script cannot deal with them.
--------------------------------------------------------------------------------
 ~ $ cat /var/db/pkg/net-irc/irssi-0.8.19/RDEPEND 
sys-libs/ncurses:0/6= >=dev-libs/glib-2.6.0 dev-libs/openssl:0/0= dev-lang/perl !net-im/silc-client dev-lang/perl:0/5.24=
--------------------------------------------------------------------------------
 ~ $ cat /var/db/pkg/sys-apps/texinfo-6.1/RDEPEND
!=app-text/tetex-2* >=sys-libs/ncurses-5.2-r2:0/6= dev-lang/perl:0/5.24= dev-perl/libintl-perl dev-perl/Unicode-EastAsianWidth dev-perl/Text-Unidecode virtual/libintl
Comment 10 Andreas K. Hüttel gentoo-dev 2016-06-05 16:04:42 UTC
What does on one of those machines

* equery files texinfo 

and 

* scanelf -n /usr/lib64/texinfo/XSParagraph.so

say?
Comment 11 Perfect Gentleman 2016-06-05 16:08:47 UTC
~ $ equery files texinfo 
 * Searching for texinfo ...
 * Contents of sys-apps/texinfo-6.1:
/usr
/usr/bin
/usr/bin/info
/usr/bin/install-info
/usr/bin/makeinfo -> texi2any
/usr/bin/pdftexi2dvi
/usr/bin/pod2texi
/usr/bin/texi2any
/usr/bin/texi2dvi
/usr/bin/texi2pdf
/usr/bin/texindex
/usr/lib64
/usr/lib64/texinfo
/usr/lib64/texinfo/XSParagraph.a
/usr/lib64/texinfo/XSParagraph.la
/usr/lib64/texinfo/XSParagraph.so
/usr/share
/usr/share/doc
/usr/share/doc/texinfo-6.1
/usr/share/doc/texinfo-6.1/AUTHORS.bz2
/usr/share/doc/texinfo-6.1/ChangeLog.bz2
/usr/share/doc/texinfo-6.1/NEWS.bz2
/usr/share/doc/texinfo-6.1/README-hacking.bz2
/usr/share/doc/texinfo-6.1/README.bz2
/usr/share/doc/texinfo-6.1/TODO.bz2
/usr/share/info
/usr/share/info/info-stnd.info.bz2
/usr/share/info/texinfo.info-1.bz2
/usr/share/info/texinfo.info-2.bz2
/usr/share/info/texinfo.info-3.bz2
/usr/share/info/texinfo.info.bz2
/usr/share/locale
/usr/share/locale/ru
/usr/share/locale/ru/LC_MESSAGES
/usr/share/locale/ru/LC_MESSAGES/texinfo.mo
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/info.1.bz2
/usr/share/man/man1/install-info.1.bz2
/usr/share/man/man1/makeinfo.1.bz2
/usr/share/man/man1/pdftexi2dvi.1
/usr/share/man/man1/pod2texi.1.bz2
/usr/share/man/man1/texi2any.1
/usr/share/man/man1/texi2dvi.1.bz2
/usr/share/man/man1/texi2pdf.1
/usr/share/man/man1/texindex.1.bz2
/usr/share/man/man5
/usr/share/man/man5/info.5.bz2
/usr/share/man/man5/texinfo.5.bz2
/usr/share/texinfo
/usr/share/texinfo/DebugTexinfo
/usr/share/texinfo/DebugTexinfo/DebugCount.pm
/usr/share/texinfo/DebugTexinfo/DebugTree.pm
/usr/share/texinfo/Pod-Simple-Texinfo
/usr/share/texinfo/Pod-Simple-Texinfo/Pod
/usr/share/texinfo/Pod-Simple-Texinfo/Pod/Simple
/usr/share/texinfo/Pod-Simple-Texinfo/Pod/Simple/Texinfo.pm
/usr/share/texinfo/Texinfo
/usr/share/texinfo/Texinfo/Common.pm
/usr/share/texinfo/Texinfo/Convert
/usr/share/texinfo/Texinfo/Convert/Converter.pm
/usr/share/texinfo/Texinfo/Convert/DocBook.pm
/usr/share/texinfo/Texinfo/Convert/HTML.pm
/usr/share/texinfo/Texinfo/Convert/IXIN.pm
/usr/share/texinfo/Texinfo/Convert/IXINSXML.pm
/usr/share/texinfo/Texinfo/Convert/Info.pm
/usr/share/texinfo/Texinfo/Convert/Line.pm
/usr/share/texinfo/Texinfo/Convert/NodeNameNormalization.pm
/usr/share/texinfo/Texinfo/Convert/Paragraph.pm
/usr/share/texinfo/Texinfo/Convert/ParagraphNonXS.pm
/usr/share/texinfo/Texinfo/Convert/PlainTexinfo.pm
/usr/share/texinfo/Texinfo/Convert/Plaintext.pm
/usr/share/texinfo/Texinfo/Convert/Texinfo.pm
/usr/share/texinfo/Texinfo/Convert/TexinfoSXML.pm
/usr/share/texinfo/Texinfo/Convert/TexinfoXML.pm
/usr/share/texinfo/Texinfo/Convert/Text.pm
/usr/share/texinfo/Texinfo/Convert/TextContent.pm
/usr/share/texinfo/Texinfo/Convert/UnFilled.pm
/usr/share/texinfo/Texinfo/Convert/Unicode.pm
/usr/share/texinfo/Texinfo/Convert/XSParagraph
/usr/share/texinfo/Texinfo/Convert/XSParagraph/TestXS.pm
/usr/share/texinfo/Texinfo/Documentlanguages.pm
/usr/share/texinfo/Texinfo/Encoding.pm
/usr/share/texinfo/Texinfo/ModulePath.pm
/usr/share/texinfo/Texinfo/Parser.pm
/usr/share/texinfo/Texinfo/Report.pm
/usr/share/texinfo/Texinfo/Structuring.pm
/usr/share/texinfo/htmlxref.cnf
/usr/share/texinfo/init
/usr/share/texinfo/init/book.pm
/usr/share/texinfo/init/chm.pm
/usr/share/texinfo/init/html32.pm
/usr/share/texinfo/init/latex2html.pm
/usr/share/texinfo/init/tex4ht.pm
/usr/share/texinfo/texindex.awk
/usr/share/texinfo/texinfo.dtd
--------------------------------------------------------------------------------
~ $ scanelf -n /usr/lib64/texinfo/XSParagraph.so
 TYPE   NEEDED FILE 
ET_DYN libperl.so.5.24,libc.so.6 /usr/lib64/texinfo/XSParagraph.so
--------------------------------------------------------------------------------
Comment 12 Andreas K. Hüttel gentoo-dev 2016-06-05 17:23:12 UTC
OK that looks all normal. Very puzzling. 

Could you please add a perl-cleaner log with at least four times -v in the perl-cleaner part of the commandline? e.g., 

perl-cleaner --all -v -v -v -v -- -avtp

(will be long!)
Comment 13 Perfect Gentleman 2016-06-05 17:29:06 UTC
(In reply to Andreas K. Hüttel from comment #12)
> OK that looks all normal. Very puzzling. 
> 
> Could you please add a perl-cleaner log with at least four times -v in the
> perl-cleaner part of the commandline? e.g., 
> 
> perl-cleaner --all -v -v -v -v -- -avtp
> 
> (will be long!)

https://bpaste.net/show/345932d9b014
Comment 14 Perfect Gentleman 2016-06-05 17:34:14 UTC
another machine
https://bpaste.net/show/2adfe2c9125b
Comment 15 SpanKY gentoo-dev 2016-06-06 19:19:56 UTC
*** Bug 585094 has been marked as a duplicate of this bug. ***
Comment 16 Andreas K. Hüttel gentoo-dev 2016-06-06 21:57:26 UTC
OK texinfo is another one of those, err, "special" cases.

* Lives on CTAN (!)
* Buildsystem is autotools, which tries hard to be perl-ish.
* Installs one XS .so file in a seriously strange location.

huettel@pinacolada ~ $ equery -C files texinfo|sort
/usr
/usr/bin
/usr/bin/info
/usr/bin/install-info
/usr/bin/makeinfo
/usr/bin/pdftexi2dvi
/usr/bin/pod2texi
/usr/bin/texi2any
/usr/bin/texi2dvi
/usr/bin/texi2pdf
/usr/bin/texindex
/usr/lib64
/usr/lib64/texinfo
/usr/lib64/texinfo/XSParagraph.a
/usr/lib64/texinfo/XSParagraph.la
/usr/lib64/texinfo/XSParagraph.so
/usr/share
/usr/share/doc
/usr/share/doc/texinfo-6.1
/usr/share/doc/texinfo-6.1/AUTHORS.bz2
/usr/share/doc/texinfo-6.1/ChangeLog.bz2
/usr/share/doc/texinfo-6.1/NEWS.bz2
/usr/share/doc/texinfo-6.1/README-hacking.bz2
/usr/share/doc/texinfo-6.1/README.bz2
/usr/share/doc/texinfo-6.1/TODO.bz2
/usr/share/info
/usr/share/info/info-stnd.info.bz2
/usr/share/info/texinfo.info-1.bz2
/usr/share/info/texinfo.info-2.bz2
/usr/share/info/texinfo.info-3.bz2
/usr/share/info/texinfo.info.bz2
/usr/share/locale
/usr/share/locale/de
/usr/share/locale/de/LC_MESSAGES
/usr/share/locale/de/LC_MESSAGES/texinfo.mo
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/info.1.bz2
/usr/share/man/man1/install-info.1.bz2
/usr/share/man/man1/makeinfo.1.bz2
/usr/share/man/man1/pdftexi2dvi.1
/usr/share/man/man1/pod2texi.1.bz2
/usr/share/man/man1/texi2any.1
/usr/share/man/man1/texi2dvi.1.bz2
/usr/share/man/man1/texi2pdf.1
/usr/share/man/man1/texindex.1.bz2
/usr/share/man/man5
/usr/share/man/man5/info.5.bz2
/usr/share/man/man5/texinfo.5.bz2
/usr/share/texinfo
/usr/share/texinfo/DebugTexinfo
/usr/share/texinfo/DebugTexinfo/DebugCount.pm
/usr/share/texinfo/DebugTexinfo/DebugTree.pm
/usr/share/texinfo/Pod-Simple-Texinfo
/usr/share/texinfo/Pod-Simple-Texinfo/Pod
/usr/share/texinfo/Pod-Simple-Texinfo/Pod/Simple
/usr/share/texinfo/Pod-Simple-Texinfo/Pod/Simple/Texinfo.pm
/usr/share/texinfo/Texinfo
/usr/share/texinfo/Texinfo/Common.pm
/usr/share/texinfo/Texinfo/Convert
/usr/share/texinfo/Texinfo/Convert/Converter.pm
/usr/share/texinfo/Texinfo/Convert/DocBook.pm
/usr/share/texinfo/Texinfo/Convert/HTML.pm
/usr/share/texinfo/Texinfo/Convert/IXIN.pm
/usr/share/texinfo/Texinfo/Convert/IXINSXML.pm
/usr/share/texinfo/Texinfo/Convert/Info.pm
/usr/share/texinfo/Texinfo/Convert/Line.pm
/usr/share/texinfo/Texinfo/Convert/NodeNameNormalization.pm
/usr/share/texinfo/Texinfo/Convert/Paragraph.pm
/usr/share/texinfo/Texinfo/Convert/ParagraphNonXS.pm
/usr/share/texinfo/Texinfo/Convert/PlainTexinfo.pm
/usr/share/texinfo/Texinfo/Convert/Plaintext.pm
/usr/share/texinfo/Texinfo/Convert/Texinfo.pm
/usr/share/texinfo/Texinfo/Convert/TexinfoSXML.pm
/usr/share/texinfo/Texinfo/Convert/TexinfoXML.pm
/usr/share/texinfo/Texinfo/Convert/Text.pm
/usr/share/texinfo/Texinfo/Convert/TextContent.pm
/usr/share/texinfo/Texinfo/Convert/UnFilled.pm
/usr/share/texinfo/Texinfo/Convert/Unicode.pm
/usr/share/texinfo/Texinfo/Convert/XSParagraph
/usr/share/texinfo/Texinfo/Convert/XSParagraph/TestXS.pm
/usr/share/texinfo/Texinfo/Documentlanguages.pm
/usr/share/texinfo/Texinfo/Encoding.pm
/usr/share/texinfo/Texinfo/ModulePath.pm
/usr/share/texinfo/Texinfo/Parser.pm
/usr/share/texinfo/Texinfo/Report.pm
/usr/share/texinfo/Texinfo/Structuring.pm
/usr/share/texinfo/htmlxref.cnf
/usr/share/texinfo/init
/usr/share/texinfo/init/book.pm
/usr/share/texinfo/init/chm.pm
/usr/share/texinfo/init/html32.pm
/usr/share/texinfo/init/latex2html.pm
/usr/share/texinfo/init/tex4ht.pm
/usr/share/texinfo/texindex.awk
/usr/share/texinfo/texinfo.dtd
Comment 17 Perfect Gentleman 2016-06-07 03:23:52 UTC
(In reply to Andreas K. Hüttel from comment #16)
> OK texinfo is another one of those, err, "special" cases.

so is irssi
Comment 18 Andreas K. Hüttel gentoo-dev 2016-06-07 21:19:24 UTC
(In reply to Perfect Gentleman from comment #17)
> (In reply to Andreas K. Hüttel from comment #16)
> > OK texinfo is another one of those, err, "special" cases.
> 
> so is irssi

no. please dont mix things up.
Comment 19 Michael Mair-Keimberger (iamnr3) 2016-07-17 11:05:18 UTC
Same here, at least on 2 machines. perl-cleaner wants to rebuild texinfo again and again... Also weechat seems to be affected
Comment 20 Paul Osmialowski 2016-09-16 06:33:56 UTC
Same here after todays perl update. My machine seem to be unupgradeable now.
Comment 21 faminebadger 2017-02-23 23:06:22 UTC
Still an ongoing problem with texinfo-6.3.

It also still falsely reports that files remain.



These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/texinfo-6.3::gentoo  USE="nls -static" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

>>> Verifying ebuild manifests
>>> Emerging (1 of 1) sys-apps/texinfo-6.3::gentoo
>>> Installing (1 of 1) sys-apps/texinfo-6.3::gentoo
>>> Jobs: 1 of 1 complete                           Load avg: 1.58, 2.45, 1.47
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * Regenerating GNU info directory index...
 * Processed 114 info files.
 * 
 * It seems like perl-cleaner had to rebuild some packages.
 * 
 * If you have just updated your major Perl version (e.g. from 5.20.2 to 5.22.0),
 * and have run perl-cleaner _after_ that update, then this means most likely
 * that these packages are buggy. Please file a bug on http://bugs.gentoo.org/ and
 * report that perl-cleaner needed to reinstall the following list:
 *    sys-apps/texinfo:0
 * 

 * Finding left over modules and header

 * The following files remain. These were either installed by hand
 * or edited. This script cannot deal with them.
Comment 22 KK 2017-04-23 16:53:22 UTC
Same thing here on a recently newly built system after upgrading dev-lang/perl-5.22.3_rc4 to dev-lang/perl-5.24.1-r1: Running perl-cleaner --all (after going through a complete world update procedure) tries to re-emerge sys-apps/texinfo-6.1 over and over again.
Comment 23 Pacho Ramos gentoo-dev 2017-04-23 17:15:20 UTC
I have seen Fedora is building texinfo forcing --disable-perl-xs (that looks to kill the files causing this issues). Do we need them for anything in Gentoo?
Comment 24 Alexey 2019-12-26 10:13:20 UTC
For me, perl-cleaner --reallyall did not re-emerge texinfo, which caused errors in some package which uses texinfo during build:
MiscXS.c: loadable library and perl binaries are mismatched

Only manual run of emerge -1 texinfo fixed this. So perl-cleaner SHOULD rebuild texinfo when necessary.